fse.vo

## Class AdHocQuery

- java.lang.Object
- - fse.vo.AdHocQuery

-     public class AdHocQuery
      extends java.lang.Object

  Contiene i dati utili ad effettuare una query sul fascicolo. Unico dato obbligatorio per effettuare una query è l'identificativo del paziente.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.List<MetadataCriteria>` | `customCriteria`
    `private java.util.Date` | `dateFrom`
    `private java.util.Date` | `dateTo`
    `private java.lang.String` | `documentStatus`
    `private java.util.List<java.lang.String>` | `documentTypes`
    `private java.util.List<DocumentURI>` | `documentURIs`
    `private PatientIdentifier` | `patientId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdHocQuery()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<MetadataCriteria>` | `getCustomCriteria()` Restituisce la lista dei criteri aggiuntivi eventualmente impostati sulla ricerca
    `java.util.Date` | `getDateFrom()` Restituisce la data di inizio dell'intervallo di ricerca
    `java.util.Date` | `getDateTo()` Restituisce la data di fine dell'intervallo di ricerca
    `java.lang.String` | `getDocumentStatus()` Restituisce lo stato del documento da ricercare
    `java.util.List<java.lang.String>` | `getDocumentTypes()` Restituisce il tipo di documento richiesto secondo la codifica LOINC.
    `java.util.List<DocumentURI>` | `getDocumentURIs()` Restituisce la lista degli identificativi di documento da ricercare
    `PatientIdentifier` | `getPatientId()` Restituisce l'identificativo univoco dell'assistito sul cui fascicolo si vuole effettuare la ricerca.
    `void` | `setCustomCriteria(java.util.List<MetadataCriteria> customCriteria)` Imposta la lista dei criteri aggiuntivi eventualmente impostati sulla ricerca.
    `void` | `setDateFrom(java.util.Date dateFrom)` Imposta la data di inizio dell'intervallo di ricerca.
    `void` | `setDateTo(java.util.Date dateTo)` Imposta la data di fine dell'intervallo di ricerca.
    `void` | `setDocumentStatus(java.lang.String documentStatus)` Imposta lo stato dei documenti da cercare.
    `void` | `setDocumentTypes(java.util.List<java.lang.String> documentTypes)` Imposta il tipo di documento richiesto secondo la codifica LOINC.
    `void` | `setDocumentURIs(java.util.List<DocumentURI> documentURIs)` Imposta la lista degli identificativi di documento da ricerca.
    `void` | `setPatientId(PatientIdentifier patientId)` Restituisce l'identificativo univoco dell'assistito sul cui fascicolo si vuole effettuare la ricerca.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dateFrom

          private java.util.Date dateFrom

    - #### dateTo

          private java.util.Date dateTo

    - #### documentTypes

          private java.util.List<java.lang.String> documentTypes

    - #### patientId

          private PatientIdentifier patientId

    - #### documentStatus

          private java.lang.String documentStatus

    - #### customCriteria

          private java.util.List<MetadataCriteria> customCriteria

    - #### documentURIs

          private java.util.List<DocumentURI> documentURIs

  - ### Constructor Detail

    - #### AdHocQuery

          public AdHocQuery()

  - ### Method Detail

    - #### getPatientId

          public PatientIdentifier getPatientId()

      Restituisce l'identificativo univoco dell'assistito sul cui fascicolo si vuole effettuare la ricerca.
      Returns:
        l'identificativo dell'assistito

    - #### setPatientId

          public void setPatientId(PatientIdentifier patientId)

      Restituisce l'identificativo univoco dell'assistito sul cui fascicolo si vuole effettuare la ricerca. Parametro obbligatorio.
      Parameters:
        `patientId` - l'identificativo dell'assistito

    - #### getDocumentStatus

          public java.lang.String getDocumentStatus()

      Restituisce lo stato del documento da ricercare
      Returns:
        lo stato del documento

    - #### setDocumentStatus

          public void setDocumentStatus(java.lang.String documentStatus)

      Imposta lo stato dei documenti da cercare. I valori ammessi sono `Approved` e `Deprecated`. Parametro facoltativo.
      Parameters:
        `documentStatus` - lo stato del documento

    - #### getDateFrom

          public java.util.Date getDateFrom()

      Restituisce la data di inizio dell'intervallo di ricerca
      Returns:
        la data di inizio dell'intervallo di ricerca

    - #### getDateTo

          public java.util.Date getDateTo()

      Restituisce la data di fine dell'intervallo di ricerca
      Returns:
        la data di fine dell'intervallo di ricerca

    - #### getDocumentTypes

          public java.util.List<java.lang.String> getDocumentTypes()

      Restituisce il tipo di documento richiesto secondo la codifica LOINC.
      Per un elenco dei possibili tipi di documento consultare le Specifiche di Integrazione.
      Returns:
        il tipo del documento ricercato

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

      Imposta la data di inizio dell'intervallo di ricerca. Parametro facoltativo.
      Parameters:
        `dateFrom` - la data di inizio dell'intervallo di ricerca

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

      Imposta la data di fine dell'intervallo di ricerca. Parametro facoltativo.
      Parameters:
        `dateTo` - la data di fine dell'intervallo di ricerca

    - #### setDocumentTypes

          public void setDocumentTypes(java.util.List<java.lang.String> documentTypes)

      Imposta il tipo di documento richiesto secondo la codifica LOINC. Parametro facoltativo.
      Per un elenco dei possibili tipi di documento consultare le Specifiche di Integrazione.
      Parameters:
        `documentTypes` - il tipo di documento

    - #### getCustomCriteria

          public java.util.List<MetadataCriteria> getCustomCriteria()

      Restituisce la lista dei criteri aggiuntivi eventualmente impostati sulla ricerca
      Returns:
        la lista dei criteri aggiuntivi

    - #### setCustomCriteria

          public void setCustomCriteria(java.util.List<MetadataCriteria> customCriteria)

      Imposta la lista dei criteri aggiuntivi eventualmente impostati sulla ricerca. Parametro facoltativo.
      Parameters:
        `customCriteria` - la lista dei criteri aggiuntivi

    - #### getDocumentURIs

          public java.util.List<DocumentURI> getDocumentURIs()

      Restituisce la lista degli identificativi di documento da ricercare
      Returns:
        la lista degli identificativi

    - #### setDocumentURIs

          public void setDocumentURIs(java.util.List<DocumentURI> documentURIs)

      Imposta la lista degli identificativi di documento da ricerca. Parametro facoltativo.
      Parameters:
        `documentURIs` - la lista degli identificativi da ricercare